Dist::Build::XS::Import(3pm)

NAME
Dist::Build::XS::Import - Dist::Build extension to import headers for other XS modules

VERSION
version 0.025

SYNOPSIS
 load_extension('Dist::Build::XS');
 load_extension('Dist::Build::XS::Import');

 add_xs(
     module => 'Foo::Bar',
     import => 'My::Dependency',
 );

DESCRIPTION
This module is an extension of Dist::Build::XS, adding an additional argument to the "add_xs" function: "import". It is a counterpart to Dist::Build::XS::Export) will add the include dir, typemap and compilation flags for the given module.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2024 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.